<?

/*
Настройки программы 
Вообще в этом массиве не только настройки но и глобальное текущее состояние программы
Setting::save и load сохраняют GOP в файле global_options.txt  
*/
GLOBAL $GOP;

if(!isset($GOP))
	$GOP = array();


// кнопки в виде иконок (класс Bt_img)
$GOP['bt_img_paths'] = array(
	/*
	'repeat_create_blocks' => 'img/ico/repeat_20.png',
	'repeat_read_blocks'=> 'img/ico/repeat_20.png',
	'repeat_final_operations' => 'img/ico/repeat_20.png',*/
);


// График диска
// определяем имена-константы для строк. Порядок не имеет значения
define('GRD_userfiles', 0);
define('GRD_good_write', 1);
define('GRD_slow_auto', 2);

define('GRD_read_err', 3);
define('GRD_slow_write', 4);
define('GRD_frag', 5);
define('GRD_all_slow', 6);
define('GRD_result_space', 7);
define('GRD_create_err', 8);

// первый цвет - обычный, второй - когда скрыт
// Править также цвета на странице отчета: http://diskfast.ru/p/?i=3ljonr11x
$GOP['graph_disk']['colors'] = array(
	GRD_slow_write	=> array(0xa6b312),	// темнобирюзовый
	GRD_userfiles		=> array(0x767676),	// темносерый 

	GRD_good_write		=> array(0x007af7),	//'orange',
	GRD_slow_auto		=> array(0xb3123b), 	// синий 0xb3123b
	GRD_read_err		=> array(0x0000c7),	// 'red',
	GRD_create_err		=> array(0x8cb7ff),	// 'розовый',
	
	GRD_frag			=> $color_frag = array(0x00e0ee),		//'yellow',
	GRD_all_slow		=> $color_all_slow = array(0xc300d5), 	// фиолетовый
	GRD_result_space	=> $color_result_space = array(0x04de6b),	//'green'
);
// цвет фона по умолчанию. На всех этапах кроме create_blocks, цвет будет как у good_write
$GOP['graph_disk']['def_bg'] = 0xeeeeee;

/* не нужен потому что есть legend
$GOP['graph_disk']['external_col_displays'] = array(
	GRD_userfiles=> 'stat_userfiles',
);*/

// последовательность элемнетов влияет на последовательность рисования
$GOP['graph_disk']['legend'] = array(
	GRD_userfiles=> 'userfiles',
	
	GRD_slow_write => 'slow_write',
	GRD_create_err => 'create_err',
	GRD_good_write => 'good_write',

	GRD_read_err => 'read_err',
	GRD_slow_auto	=> 'slow_auto',
	GRD_all_slow => 'all_slow',
	GRD_frag => 'frag',
	GRD_result_space => 'result_space',
);
$GOP['graph_disk']['keys'] = array_keys($GOP['graph_disk']['legend']);



// График фрагментов
//$GOP['graph_frags']['keys'] = array(0, 1, 2, 5, 10, 20, 30, 40, 50, 100, 1024, 3072, 5120, 7168, 15*1024);
$GOP['graph_frags']['key_points'] = array(0, 2, 4, 6, 20, 70, 1024, 50*1024, 1000*1024);
$GOP['graph_frags']['colors'] = array(
	//0=>array(0xa45d3e, 0xceb2a5)
	0=>array($color_result_space[0], $color_frag[0], 0xaaaaaa),
);
$GOP['graph_frags']['keys'] = array_partition_values($GOP['graph_frags']['key_points'], 10);

// График скоростей
// ключевые точки просто показывают для каких ключей выводить подписи и определяют цвета столбцов
$GOP['graph_speed']['key_points'] = array(
	0, 1, 2, 5, 15, 50, 100, 300, 1000,
);
// первый цвет - обычный, второй - выделенный, третий - скрыт
$GOP['graph_speed']['colors'] = array(
	0 => array($color_result_space[0],  $color_all_slow[0], 0xaaaaaa),

	/* отключили потому что даже я стал путать эти цвета с цветами графика диска
	0=>array(0x0000c7, 0x000089),	// 'red',
	'0.5'=>array(0x007af7,0x007ac0),	//'orange',
	1=>array(0x00e0ee,0x00d1cf),		//'yellow',
	10=>array(0x04de6b,0x008b17),	//'green'
	*/
);
$GOP['graph_speed']['keys'] = array_partition_values($GOP['graph_speed']['key_points'], 10);


// дополнительные объекты под графиком
$GOP['graph_frags']['objs_below_graph'] = array(
	"frags_select_bar",
	"frags_select_bar_line",
	"graph_frags_info1",
	"graph_frags_info1_title",
	"graph_frags_info2",
	"graph_frags_info2_title",
);
$GOP['graph_speed']['objs_below_graph'] = array(
	"speed_select_bar",
	"speed_select_bar_line",
	"graph_speed_info1",
	"graph_speed_info1_title",
	"graph_speed_info2",
	"graph_speed_info2_title",
);


$GOP['scrollbox_info'] = 'scrollbox_info';
$GOP['scrollbox_info_test_obj'] = 'graph_speed_wrap'; // эта хрень используется не только для прокрутки но и расчета ширины правой стороны. Потому что если у человека установленны увеличенные шрифты 125%, то обычные пиксели уже не подходят.
if(!get_ui($GOP['scrollbox_info_test_obj'])) 
	print "Не найден объект $GOP[scrollbox_info_test_obj]";

$GOP['scrollbox_steps_test_obj'] = 'bg_create_blocks';

$GOP['scrollbox_info_noscroll_h'] = 580;
$GOP['scrollbox_steps'] = 'scrollbox_steps';

$GOP['reset_focus'] = 'reset_focus'; // невидимый объект для сброса фокуса
$GOP['log_min_h'] = 50;

$GOP['speedfan_caption'] = 'SpeedFan 4.51'; // по этому заголовку ищется и закрывается speedfan

$GOP['space_between_graphs'] = 15; // расстояние между графиками
$GOP['bt_graph_height_step'] = 60; // шаг изменения высоты графика через кнопку

$GOP['recovery_save_blocks_interval'] = 5;
$GOP['recovery_save_setting_interval'] = 20;

$GOP['big_files_write_try'] = 250; // файлы большие, могут долго писаться по кусочкам. Поэтому попыток должно быть много


// бедблок в который нельзя записать
// нельзя делать слишком большим чтобы не вводить человека в заблуждение где битый сектор
$GOP['create_blocks.bad_block_otkat'] = 50; // кол-во файлов в мегабайтах которые надо удалить если наткнулись на бед сектор. чтобы человеку проще было ужать раздел так чтобы не зацепить бед сектор
$GOP['create_blocks.free_disk_cut_bad_block'] = 40; // когда человек обрезал диск, сколько допускается свободного пространства на нем (человек мог обрезать не очень точно).  Должно быть меньше bad_block_otkat

$GOP['files_in_folder'] = 1000;

?>